Bug 1570611 - [RHOS-12] RFE: add ability to configure extra CPU flags for named CPU models
Summary: [RHOS-12] RFE: add ability to configure extra CPU flags for named CPU models
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 12.0 (Pike)
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 12.0 (Pike)
Assignee: Kashyap Chamarthy
QA Contact: nova-maint
URL:
Whiteboard:
Depends On: 1398343 1570614 1570617
Blocks: 1547954 1570610 1571741 1571744 1571750 1571756
TreeView+ depends on / blocked
 
Reported: 2018-04-23 10:40 UTC by Kashyap Chamarthy
Modified: 2020-02-14 18:36 UTC (History)
13 users (show)

Fixed In Version: openstack-nova-16.0.4-10.el7ost
Doc Type: Enhancement
Doc Text:
Nova's libvirt driver now allows the specification of granular CPU feature flags when configuring CPU models. One benefit of this change is the alleviation of a performance degradation that has been experienced on guests running with certain Intel-based virtual CPU models after application of the "Meltdown" CVE fixes. This guest performance impact is reduced by exposing the CPU feature flag 'PCID' ("Process-Context ID") to the *guest* CPU, assuming that the PCID flag is available in the physical hardware itself. For more details, refer to the documentation of ``[libvirt]/cpu_model_extra_flags`` in ``nova.conf`` for usage details.
Clone Of: 1398343
Environment:
Last Closed: 2018-05-22 02:05:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1750829 None None None 2018-04-23 10:40:15 UTC
OpenStack gerrit 534384 None MERGED libvirt: Allow to specify granular CPU feature flags 2020-09-22 02:04:35 UTC
Red Hat Knowledge Base (Solution) 2778991 None None None 2018-04-23 10:40:15 UTC
Red Hat Product Errata RHBA-2018:1677 None None None 2018-05-22 02:06:35 UTC

Comment 10 errata-xmlrpc 2018-05-22 02:05:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1677


Note You need to log in before you can comment on or make changes to this bug.